summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/AusweisApp/AusweisApp-2.1.1.ebuild47
-rw-r--r--sys-auth/AusweisApp/AusweisApp-2.2.0.ebuild2
-rw-r--r--sys-auth/AusweisApp/Manifest1
-rw-r--r--sys-auth/elogind/Manifest1
-rw-r--r--sys-auth/elogind/elogind-252.9-r2.ebuild12
-rw-r--r--sys-auth/elogind/elogind-255.5.ebuild167
-rw-r--r--sys-auth/elogind/files/elogind-252.9-py-exec.patch19
-rw-r--r--sys-auth/elogind/files/elogind.conf7
-rw-r--r--sys-auth/elogind/metadata.xml2
-rw-r--r--sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-1.ebuild3
-rw-r--r--sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-2.ebuild3
-rw-r--r--sys-auth/google-authenticator/google-authenticator-1.10.ebuild1
-rw-r--r--sys-auth/google-authenticator/google-authenticator-9999.ebuild3
-rw-r--r--sys-auth/libfprint/libfprint-1.94.4.ebuild4
-rw-r--r--sys-auth/libfprint/libfprint-1.94.7.ebuild2
-rw-r--r--sys-auth/libnss-pgsql/libnss-pgsql-1.5.0_beta-r1.ebuild8
-rw-r--r--sys-auth/libyubikey/libyubikey-1.13-r1.ebuild2
-rw-r--r--sys-auth/microsoft-identity-broker/Manifest3
-rw-r--r--sys-auth/microsoft-identity-broker/microsoft-identity-broker-2.0.0.ebuild60
-rw-r--r--sys-auth/munge/munge-0.5.15.ebuild4
-rw-r--r--sys-auth/nss-myhostname/nss-myhostname-0.3-r1.ebuild8
-rw-r--r--sys-auth/oath-toolkit/files/oath-toolkit-2.6.11-fix-musl-build.patch24
-rw-r--r--sys-auth/oath-toolkit/oath-toolkit-2.6.11.ebuild16
-rw-r--r--sys-auth/pam_ssh_agent_auth/Manifest2
-rw-r--r--sys-auth/pam_ssh_agent_auth/pam_ssh_agent_auth-0.10.3.ebuild52
-rw-r--r--sys-auth/polkit/Manifest1
-rw-r--r--sys-auth/polkit/files/polkit-125-musl.patch34
-rw-r--r--sys-auth/polkit/polkit-125.ebuild157
-rw-r--r--sys-auth/polkit/polkit-9999-r1.ebuild160
-rw-r--r--sys-auth/polkit/polkit-9999.ebuild156
-rw-r--r--sys-auth/realtime-base/realtime-base-0.1-r1.ebuild8
-rw-r--r--sys-auth/sssd/metadata.xml2
-rw-r--r--sys-auth/sssd/sssd-2.9.4.ebuild5
-rw-r--r--sys-auth/sssd/sssd-2.9.5.ebuild6
-rw-r--r--sys-auth/yubico-piv-tool/Manifest5
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-2.3.1.ebuild48
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-2.4.2.ebuild48
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.2.ebuild2
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-2.6.0.ebuild (renamed from sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.1.ebuild)17
39 files changed, 795 insertions, 307 deletions
diff --git a/sys-auth/AusweisApp/AusweisApp-2.1.1.ebuild b/sys-auth/AusweisApp/AusweisApp-2.1.1.ebuild
deleted file mode 100644
index f791a20ba107..000000000000
--- a/sys-auth/AusweisApp/AusweisApp-2.1.1.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 2020-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake xdg-utils
-
-DESCRIPTION="Official authentication app for German ID cards and residence permits"
-HOMEPAGE="https://www.ausweisapp.bund.de/"
-SRC_URI="https://github.com/Governikus/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="EUPL-1.2"
-SLOT="0"
-KEYWORDS="amd64"
-
-BDEPEND="
- dev-qt/qtshadertools:6
- dev-qt/qttools:6[linguist]
- virtual/pkgconfig"
-
-RDEPEND="
- dev-libs/openssl:0=
- dev-qt/qtbase:6[concurrent,network,widgets]
- dev-qt/qtdeclarative:6[widgets]
- dev-qt/qtscxml:6[qml]
- dev-qt/qtsvg:6
- dev-qt/qtwebsockets:6[qml]
- net-libs/http-parser:0=
- sys-apps/pcsc-lite
- virtual/udev"
-
-DEPEND="${RDEPEND}"
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_SHARED_LIBS=OFF
- )
- cmake_src_configure
-}
-
-pkg_postinst() {
- xdg_icon_cache_update
-}
-
-pkg_postrm() {
- xdg_icon_cache_update
-}
diff --git a/sys-auth/AusweisApp/AusweisApp-2.2.0.ebuild b/sys-auth/AusweisApp/AusweisApp-2.2.0.ebuild
index d86746427953..f791a20ba107 100644
--- a/sys-auth/AusweisApp/AusweisApp-2.2.0.ebuild
+++ b/sys-auth/AusweisApp/AusweisApp-2.2.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/Governikus/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="EUPL-1.2"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="amd64"
BDEPEND="
dev-qt/qtshadertools:6
diff --git a/sys-auth/AusweisApp/Manifest b/sys-auth/AusweisApp/Manifest
index 199b71bad705..36e20ffc000a 100644
--- a/sys-auth/AusweisApp/Manifest
+++ b/sys-auth/AusweisApp/Manifest
@@ -1,2 +1 @@
-DIST AusweisApp-2.1.1.tar.gz 5878477 BLAKE2B c2948b51a7a04e36aa5bdfb805cd4ecb565fff5c67e040c0159adb4c10fd7e956e1968f5e12df48057bcd5c09dfd91d79aee781fb2a26319a0c2a3ef1a131d85 SHA512 124e92238b81ae2fd7865bc018ce64723a4d237e214b5166385fe191ae5365b5c9e260ecae8d249355d8dc61df08beea0988a622f6712132e7b164cb7f832674
DIST AusweisApp-2.2.0.tar.gz 5923990 BLAKE2B 32128246798d5241bfa9388c1a62664d748b16504c67cd20f1fe5cdf10f0d0489dd5b17f9d128d57ffc431f83b72d31222db98ae4f39abbfd216e01c05c40753 SHA512 32d23896e836fbc2cfe5ab9654bd8f5b6773d8413da1c07fb68989b41aa9ec9cd3b6e44dd0154b525a710644786f5e4c8d324401e3f4aa342938852462caeb18
diff --git a/sys-auth/elogind/Manifest b/sys-auth/elogind/Manifest
index 3ce9fb1e8ab7..abf5d5d7e98b 100644
--- a/sys-auth/elogind/Manifest
+++ b/sys-auth/elogind/Manifest
@@ -1,2 +1,3 @@
DIST elogind-246.10.tar.gz 1559256 BLAKE2B 17a8146ee08c8ccf167f25d89b1d4525050ed0b0baaad0d36924ad3c40ffc820ef1528b33557cf285ad06c9ac9c440137428c5a235a2acf563e56f2f8f07e208 SHA512 9db0f068ed94ec07bab4d764ccb38840af3d05a4b7c9c539721906f5381b509cb9a3cbfb0453a978210d306136368de6162578c600d522416ef2a7ac1b9f348b
DIST elogind-252.9.tar.gz 1922777 BLAKE2B dd566125e407b3479a44b007890f97c9c87a325b3fed2d3505499d2163f113affd998e14b1c1fc50b9b86b0d155b51dae344dcc1cddafb6a48c631d0a0f00c9a SHA512 eed620cbc2f03bfeae6a80c9a421c21d3293fa40adffb96c7e4d86508c06712041f6623fb2bac15ecbb85faca4b5674ea6423b3067840809fb27d023fd9e5ffd
+DIST elogind-255.5.tar.gz 2127126 BLAKE2B 395352fc24bc815d1e39c2d5722eb09c2e3378873e2ea4173d8c209cd66c28a9b94ebe62ab3efbd5dccd822d99b86a6c1a871620adefb1215cb6d4ceee78a9f9 SHA512 dd9494062ef18c3c4cddbaf70b394bf90f6da3ce49f85312e99eabde54b2fcdb5cfdde1bcbaa661031afc72853e9b138dae336e1caed72e927bfd61c8cb22895
diff --git a/sys-auth/elogind/elogind-252.9-r2.ebuild b/sys-auth/elogind/elogind-252.9-r2.ebuild
index 6c9522bc9e1a..41ccffac0be8 100644
--- a/sys-auth/elogind/elogind-252.9-r2.ebuild
+++ b/sys-auth/elogind/elogind-252.9-r2.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="https://github.com/elogind/elogind"
LICENSE="CC0-1.0 LGPL-2.1+ public-domain"
SLOT="0"
-IUSE="+acl audit +cgroup-hybrid debug doc +pam +policykit selinux test"
+IUSE="+acl audit cgroup-hybrid debug doc +pam +policykit selinux test"
RESTRICT="!test? ( test )"
BDEPEND="
@@ -54,8 +54,9 @@ DOCS=( README.md)
PATCHES=(
"${FILESDIR}/${P}-nodocs.patch"
- "${FILESDIR}/${PN}-252.9-musl-lfs.patch"
- "${FILESDIR}/${PN}-252.9-musl-1.2.5.patch"
+ "${FILESDIR}/${P}-musl-lfs.patch"
+ "${FILESDIR}/${P}-musl-1.2.5.patch"
+ "${FILESDIR}/${P}-py-exec.patch" # bug 933398
)
python_check_deps() {
@@ -139,6 +140,7 @@ src_install() {
}
pkg_postinst() {
+ udev_reload
if ! use pam; then
ewarn "${PN} will not be managing user logins/seats without USE=\"pam\"!"
ewarn "In other words, it will be useless for most applications."
@@ -180,3 +182,7 @@ pkg_postinst() {
fi
done
}
+
+pkg_postrm() {
+ udev_reload
+}
diff --git a/sys-auth/elogind/elogind-255.5.ebuild b/sys-auth/elogind/elogind-255.5.ebuild
new file mode 100644
index 000000000000..75bf151e6d9e
--- /dev/null
+++ b/sys-auth/elogind/elogind-255.5.ebuild
@@ -0,0 +1,167 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+if [[ ${PV} = *9999* ]]; then
+ EGIT_BRANCH="v255-stable"
+ EGIT_REPO_URI="https://github.com/elogind/elogind.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+inherit linux-info meson pam python-any-r1 udev xdg-utils
+
+DESCRIPTION="The systemd project's logind, extracted to a standalone package"
+HOMEPAGE="https://github.com/elogind/elogind"
+
+LICENSE="CC0-1.0 LGPL-2.1+ public-domain"
+SLOT="0"
+IUSE="+acl audit cgroup-hybrid debug doc +pam +policykit selinux test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-util/gperf
+ virtual/pkgconfig
+ $(python_gen_any_dep 'dev-python/jinja[${PYTHON_USEDEP}]')
+ $(python_gen_any_dep 'dev-python/lxml[${PYTHON_USEDEP}]')
+"
+DEPEND="
+ audit? ( sys-process/audit )
+ sys-apps/util-linux
+ sys-libs/libcap
+ virtual/libudev:=
+ acl? ( sys-apps/acl )
+ pam? ( sys-libs/pam )
+ selinux? ( sys-libs/libselinux )
+"
+RDEPEND="${DEPEND}
+ !sys-apps/systemd
+"
+PDEPEND="
+ sys-apps/dbus
+ policykit? ( sys-auth/polkit )
+"
+
+DOCS=( README.md)
+
+PATCHES=(
+ "${FILESDIR}/${PN}-252.9-nodocs.patch"
+)
+
+python_check_deps() {
+ python_has_version "dev-python/jinja[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/lxml[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ local CONFIG_CHECK="~CGROUPS ~EPOLL ~INOTIFY_USER ~SIGNALFD ~TIMERFD"
+
+ use kernel_linux && linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+ xdg_environment_reset
+}
+
+src_configure() {
+ if use cgroup-hybrid; then
+ cgroupmode="hybrid"
+ else
+ cgroupmode="unified"
+ fi
+
+ python_setup
+
+ EMESON_BUILDTYPE="$(usex debug debug release)"
+
+ local emesonargs=(
+ -Ddocdir="${EPREFIX}/usr/share/doc/${PF}"
+ -Dhtmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+ -Dudevrulesdir="${EPREFIX}$(get_udevdir)"/rules.d
+ --libexecdir="lib/elogind"
+ --localstatedir="${EPREFIX}"/var
+ -Dbashcompletiondir="${EPREFIX}/usr/share/bash-completion/completions"
+ -Dman=auto
+ -Dsmack=true
+ -Dcgroup-controller=openrc
+ -Ddefault-hierarchy=${cgroupmode}
+ -Ddefault-kill-user-processes=false
+ -Dacl=$(usex acl enabled disabled)
+ -Daudit=$(usex audit enabled disabled)
+ -Dhtml=$(usex doc auto disabled)
+ -Dpam=$(usex pam enabled disabled)
+ -Dpamlibdir="$(getpam_mod_dir)"
+ -Dselinux=$(usex selinux enabled disabled)
+ -Dtests=$(usex test true false)
+ -Dutmp=$(usex elibc_musl false true)
+ -Dmode=release
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ keepdir /var/lib/elogind
+
+ newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
+
+ newconfd "${FILESDIR}"/${PN}.conf ${PN}
+}
+
+pkg_postinst() {
+ udev_reload
+ if ! use pam; then
+ ewarn "${PN} will not be managing user logins/seats without USE=\"pam\"!"
+ ewarn "In other words, it will be useless for most applications."
+ ewarn
+ fi
+ if ! use policykit; then
+ ewarn "loginctl will not be able to perform privileged operations without"
+ ewarn "USE=\"policykit\"! That means e.g. no suspend or hibernate."
+ ewarn
+ fi
+ if [[ "$(rc-config list boot | grep elogind)" != "" ]]; then
+ elog "elogind is currently started from boot runlevel."
+ elif [[ "$(rc-config list default | grep elogind)" != "" ]]; then
+ ewarn "elogind is currently started from default runlevel."
+ ewarn "Please remove elogind from the default runlevel and"
+ ewarn "add it to the boot runlevel by:"
+ ewarn "# rc-update del elogind default"
+ ewarn "# rc-update add elogind boot"
+ else
+ elog "elogind is currently not started from any runlevel."
+ elog "You may add it to the boot runlevel by:"
+ elog "# rc-update add elogind boot"
+ elog
+ elog "Alternatively, you can leave elogind out of any"
+ elog "runlevel. It will then be started automatically"
+ if use pam; then
+ elog "when the first service calls it via dbus, or"
+ elog "the first user logs into the system."
+ else
+ elog "when the first service calls it via dbus."
+ fi
+ fi
+
+ for version in ${REPLACING_VERSIONS}; do
+ if ver_test "${version}" -lt 252.9; then
+ elog "Starting with release 252.9 the sleep configuration is now done"
+ elog "in the /etc/elogind/sleep.conf. Should you use non-default sleep"
+ elog "configuration remember to migrate those to new configuration file."
+ fi
+ done
+}
+
+pkg_postrm() {
+ udev_reload
+}
diff --git a/sys-auth/elogind/files/elogind-252.9-py-exec.patch b/sys-auth/elogind/files/elogind-252.9-py-exec.patch
new file mode 100644
index 000000000000..05f37e64d29b
--- /dev/null
+++ b/sys-auth/elogind/files/elogind-252.9-py-exec.patch
@@ -0,0 +1,19 @@
+From f56b6bfa18b6b582619074135b07ff35a84e6a01 Mon Sep 17 00:00:00 2001
+From: Sven Eden <sven@eden-worx.com>
+Date: Wed, 1 Nov 2023 15:14:01 +0100
+Subject: [PATCH] Add execution bit on tools that had it missing.
+
+Signed-off-by: Sven Eden <sven@eden-worx.com>
+---
+ tools/dbus_exporter.py | 0
+ tools/meson-render-jinja2.py | 0
+ 3 files changed, 0 insertions(+), 0 deletions(-)
+ mode change 100644 => 100755 tools/dbus_exporter.py
+ mode change 100644 => 100755 tools/meson-render-jinja2.py
+
+diff --git a/tools/dbus_exporter.py b/tools/dbus_exporter.py
+old mode 100644
+new mode 100755
+diff --git a/tools/meson-render-jinja2.py b/tools/meson-render-jinja2.py
+old mode 100644
+new mode 100755
diff --git a/sys-auth/elogind/files/elogind.conf b/sys-auth/elogind/files/elogind.conf
new file mode 100644
index 000000000000..167260a42aa5
--- /dev/null
+++ b/sys-auth/elogind/files/elogind.conf
@@ -0,0 +1,7 @@
+# /etc/conf.d/elogind: config file for /etc/init.d/elogind
+
+# this is the elogind executable
+ELOGIND_EXEC="/usr/lib/elogind/elogind"
+
+# this is where elogind will store its pid file
+ELOGIND_PIDFILE="/run/elogind.pid"
diff --git a/sys-auth/elogind/metadata.xml b/sys-auth/elogind/metadata.xml
index 43950e1cc395..ce8da1d386de 100644
--- a/sys-auth/elogind/metadata.xml
+++ b/sys-auth/elogind/metadata.xml
@@ -5,7 +5,7 @@
<email>asturm@gentoo.org</email>
</maintainer>
<use>
- <flag name="cgroup-hybrid">Use hybrid cgroup hierarchy (OpenRC's default) instead of unified.</flag>
+ <flag name="cgroup-hybrid">Use hybrid cgroup hierarchy instead of unified (OpenRC's default).</flag>
</use>
<upstream>
<remote-id type="github">elogind/elogind</remote-id>
diff --git a/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-1.ebuild b/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-1.ebuild
index 2eca357d0a2c..00bf50b46738 100644
--- a/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-1.ebuild
+++ b/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,6 +12,5 @@ SRC_URI="https://github.com/projg2/google-authenticator-wrappers/archive/v${PV}.
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
RDEPEND="sys-auth/google-authenticator"
diff --git a/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-2.ebuild b/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-2.ebuild
index 2eca357d0a2c..00bf50b46738 100644
--- a/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-2.ebuild
+++ b/sys-auth/google-authenticator-wrappers/google-authenticator-wrappers-2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -12,6 +12,5 @@ SRC_URI="https://github.com/projg2/google-authenticator-wrappers/archive/v${PV}.
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
RDEPEND="sys-auth/google-authenticator"
diff --git a/sys-auth/google-authenticator/google-authenticator-1.10.ebuild b/sys-auth/google-authenticator/google-authenticator-1.10.ebuild
index 317d23976683..c6eb39ebeb2d 100644
--- a/sys-auth/google-authenticator/google-authenticator-1.10.ebuild
+++ b/sys-auth/google-authenticator/google-authenticator-1.10.ebuild
@@ -19,7 +19,6 @@ HOMEPAGE="https://github.com/google/google-authenticator-libpam"
LICENSE="Apache-2.0"
SLOT="0"
-IUSE=""
DEPEND="sys-libs/pam"
RDEPEND="${DEPEND}"
diff --git a/sys-auth/google-authenticator/google-authenticator-9999.ebuild b/sys-auth/google-authenticator/google-authenticator-9999.ebuild
index 27600a569c7e..c6eb39ebeb2d 100644
--- a/sys-auth/google-authenticator/google-authenticator-9999.ebuild
+++ b/sys-auth/google-authenticator/google-authenticator-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -19,7 +19,6 @@ HOMEPAGE="https://github.com/google/google-authenticator-libpam"
LICENSE="Apache-2.0"
SLOT="0"
-IUSE=""
DEPEND="sys-libs/pam"
RDEPEND="${DEPEND}"
diff --git a/sys-auth/libfprint/libfprint-1.94.4.ebuild b/sys-auth/libfprint/libfprint-1.94.4.ebuild
index 09397061db41..d74276c012f2 100644
--- a/sys-auth/libfprint/libfprint-1.94.4.ebuild
+++ b/sys-auth/libfprint/libfprint-1.94.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -6,7 +6,7 @@ EAPI=8
inherit meson udev
DESCRIPTION="Library to add support for consumer fingerprint readers"
-HOMEPAGE="https://cgit.freedesktop.org/libfprint/libfprint/ https://github.com/freedesktop/libfprint https://gitlab.freedesktop.org/libfprint/libfprint"
+HOMEPAGE="https://fprint.freedesktop.org/ https://github.com/freedesktop/libfprint https://gitlab.freedesktop.org/libfprint/libfprint"
SRC_URI="https://github.com/freedesktop/libfprint/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2.1+"
diff --git a/sys-auth/libfprint/libfprint-1.94.7.ebuild b/sys-auth/libfprint/libfprint-1.94.7.ebuild
index 0fc7d352a1f0..59d43930bc1f 100644
--- a/sys-auth/libfprint/libfprint-1.94.7.ebuild
+++ b/sys-auth/libfprint/libfprint-1.94.7.ebuild
@@ -9,7 +9,7 @@ MY_P="${PN}-v${PV}"
DESCRIPTION="Library to add support for consumer fingerprint readers"
HOMEPAGE="
- https://cgit.freedesktop.org/libfprint/libfprint
+ https://fprint.freedesktop.org/
https://gitlab.freedesktop.org/libfprint/libfprint
"
SRC_URI="https://gitlab.freedesktop.org/${PN}/${PN}/-/archive/v${PV}/${MY_P}.tar.bz2 -> ${P}.tar.bz2"
diff --git a/sys-auth/libnss-pgsql/libnss-pgsql-1.5.0_beta-r1.ebuild b/sys-auth/libnss-pgsql/libnss-pgsql-1.5.0_beta-r1.ebuild
index cbf21a095fd5..d223858f9fa2 100644
--- a/sys-auth/libnss-pgsql/libnss-pgsql-1.5.0_beta-r1.ebuild
+++ b/sys-auth/libnss-pgsql/libnss-pgsql-1.5.0_beta-r1.ebuild
@@ -1,22 +1,20 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit autotools
-KEYWORDS="~amd64 ~x86"
+MY_P="${P/_/-}"
DESCRIPTION="Name Service Switch module for use with PostgreSQL"
HOMEPAGE="http://pgfoundry.org/projects/sysauth/"
-
-MY_P="${P/_/-}"
SRC_URI="http://pgfoundry.org/frs/download.php/1878/${MY_P}.tgz"
S="${WORKDIR}/${MY_P}"
LICENSE="GPL-2"
SLOT="0"
-IUSE=""
+KEYWORDS="~amd64 ~x86"
RDEPEND="dev-db/postgresql:*"
DEPEND="${RDEPEND}
diff --git a/sys-auth/libyubikey/libyubikey-1.13-r1.ebuild b/sys-auth/libyubikey/libyubikey-1.13-r1.ebuild
index b2ecb6ea9e35..fe95c7af5d53 100644
--- a/sys-auth/libyubikey/libyubikey-1.13-r1.ebuild
+++ b/sys-auth/libyubikey/libyubikey-1.13-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://opensource.yubico.com/yubico-c/releases/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~ppc64 ~riscv x86"
src_prepare() {
default
diff --git a/sys-auth/microsoft-identity-broker/Manifest b/sys-auth/microsoft-identity-broker/Manifest
index fc797897d322..45d36f36751d 100644
--- a/sys-auth/microsoft-identity-broker/Manifest
+++ b/sys-auth/microsoft-identity-broker/Manifest
@@ -1,2 +1 @@
-DIST microsoft-identity-broker_2.0.0_amd64.deb 83941724 BLAKE2B 6e7c347cd466b4fb77841c4c19cf368538adf17a1b197fcf5a8ca6555f3660f8d6684d6bcb400441f9cc06f0765b26cf379d29a16f15d2f90da445d80f89ae89 SHA512 60535f64f867fcd748f550b4dd5a9bb29d527b3632dc7d44a72041ad36ccb691e762417bdc0230ead6ad8c0ab3099f0a343a5be7ab4c982fd3c27753712ac462
-DIST microsoft-identity-broker_2.0.1_amd64.deb 84379396 BLAKE2B 1e535ca26ba3736ac284ca1602b1c1ae9acd1d69f66ff17ab76477b7fa3dd5d6125a2ac6c9b651ca26d90592716d75de6aadb7ffa52f95d16930645224a9eb57 SHA512 88d389fbddbbb73c3b8ce7b943232069f23c36d74034dce070a301a5ce919934f0257cd5b5c70de382d9d5b08cd554ff9717d14de484e38d9a0eba68c7200cb6
+DIST microsoft-identity-broker_2.0.1_amd64.deb 84382090 BLAKE2B 9870f2ca66555ebcd58efb56b08ebd7cd9cfde326e72e9b72c0d712f225a8fbd97c013a3f8ffacef69ae443cd95876673719b2982a40516e7d1013b62d33686f SHA512 be51d7dd08972d0b14da6866746cd9688b1235362b51840c5b9148f50a5520638209630221676b3c0d3e7bef770d3f95a827a42f30ac392a674df4de07256934
diff --git a/sys-auth/microsoft-identity-broker/microsoft-identity-broker-2.0.0.ebuild b/sys-auth/microsoft-identity-broker/microsoft-identity-broker-2.0.0.ebuild
deleted file mode 100644
index f2f58f3974aa..000000000000
--- a/sys-auth/microsoft-identity-broker/microsoft-identity-broker-2.0.0.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit java-pkg-2 prefix systemd unpacker
-
-FAKE_OS="ubuntu-22.04"
-DESCRIPTION="Microsoft Authentication Broker to access a corporate environment"
-HOMEPAGE="https://learn.microsoft.com/mem/intune/"
-SRC_URI="https://packages.microsoft.com/ubuntu/22.04/prod/pool/main/${PN:0:1}/${PN}/${PN}_${PV}_amd64.deb"
-S="${WORKDIR}"
-LICENSE="all-rights-reserved"
-SLOT="0"
-KEYWORDS="-* ~amd64"
-RESTRICT="bindist mirror"
-
-RDEPEND="
- acct-user/microsoft-identity-broker
- acct-group/microsoft-identity-broker
- sys-apps/bubblewrap
- sys-apps/dbus
- virtual/jre:11
-"
-
-src_unpack() {
- unpack_deb ${A}
-}
-
-src_configure() {
- sed -i -r "s:^Exec(Start)?=.*/([^/]+):Exec\1=${EPREFIX}/usr/bin/\2:" \
- usr/lib/systemd/*/*.service usr/share/dbus-1/*/*.service || die
-}
-
-src_install() {
- newbin $(prefixify_ro "${FILESDIR}"/wrapper) microsoft-identity-broker
- dosym microsoft-identity-broker /usr/bin/microsoft-identity-device-broker
-
- java-pkg_dojar opt/microsoft/identity-broker/lib/*.jar
-
- java-pkg_dolauncher microsoft-identity-broker \
- --main com.microsoft.identity.broker.service.IdentityBrokerService \
- --java_args '${MICROSOFT_IDENTITY_BROKER_OPTS}' \
- -into /usr/share/${PN}
-
- java-pkg_dolauncher microsoft-identity-device-broker \
- --main com.microsoft.identity.broker.service.DeviceBrokerService \
- --java_args '${MICROSOFT_IDENTITY_DEVICE_BROKER_OPTS}' \
- -into /usr/share/${PN}
-
- insinto /etc/microsoft-identity-broker
- newins "${FILESDIR}/lsb-release-${FAKE_OS}" lsb-release
- newins "${FILESDIR}/os-release-${FAKE_OS}" os-release
-
- insinto /usr/share
- doins -r usr/share/dbus-1
-
- systemd_dounit usr/lib/systemd/system/*
- systemd_douserunit usr/lib/systemd/user/*
-}
diff --git a/sys-auth/munge/munge-0.5.15.ebuild b/sys-auth/munge/munge-0.5.15.ebuild
index a1a5d61cf62c..3a83b4dae100 100644
--- a/sys-auth/munge/munge-0.5.15.ebuild
+++ b/sys-auth/munge/munge-0.5.15.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,7 +27,7 @@ RDEPEND="
acct-group/munge
acct-user/munge
"
-BDEPEND="app-arch/xz-utils[extra-filters]"
+BDEPEND="app-arch/xz-utils[extra-filters(+)]"
src_prepare() {
default
diff --git a/sys-auth/nss-myhostname/nss-myhostname-0.3-r1.ebuild b/sys-auth/nss-myhostname/nss-myhostname-0.3-r1.ebuild
index d1117fb2df91..f84cac52cec1 100644
--- a/sys-auth/nss-myhostname/nss-myhostname-0.3-r1.ebuild
+++ b/sys-auth/nss-myhostname/nss-myhostname-0.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -10,12 +10,8 @@ SRC_URI="https://0pointer.de/lennart/projects/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1+"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~ia64 ~loong ppc ppc64 ~riscv sparc x86"
-IUSE=""
-COMMON_DEPEND=""
-RDEPEND="${COMMON_DEPEND}
- !>=sys-apps/systemd-197"
-DEPEND="${COMMON_DEPEND}"
+RDEPEND="!>=sys-apps/systemd-197"
src_prepare() {
# The documentation in doc/ is just the README file in other formats
diff --git a/sys-auth/oath-toolkit/files/oath-toolkit-2.6.11-fix-musl-build.patch b/sys-auth/oath-toolkit/files/oath-toolkit-2.6.11-fix-musl-build.patch
new file mode 100644
index 000000000000..5affd40c3111
--- /dev/null
+++ b/sys-auth/oath-toolkit/files/oath-toolkit-2.6.11-fix-musl-build.patch
@@ -0,0 +1,24 @@
+From 65f37d4deb6ac87dd64df1bb281588d300a1bf3e Mon Sep 17 00:00:00 2001
+From: orbea <orbea@riseup.net>
+Date: Mon, 12 Feb 2024 18:18:31 -0800
+Subject: [PATCH] libpskc: fix implicit declaration with musl
+
+---
+ libpskc/global.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/libpskc/global.c b/libpskc/global.c
+index 1a514506..6082e11a 100644
+--- a/libpskc/global.c
++++ b/libpskc/global.c
+@@ -24,6 +24,7 @@
+ #include <pskc/pskc.h>
+
+ #include "internal.h"
++#include <stdlib.h> /* free */
+ #include <string.h> /* strverscmp */
+ #include <libxml/parser.h> /* xmlInitParser */
+ #include <libxml/catalog.h> /* xmlLoadCatalog */
+--
+GitLab
+
diff --git a/sys-auth/oath-toolkit/oath-toolkit-2.6.11.ebuild b/sys-auth/oath-toolkit/oath-toolkit-2.6.11.ebuild
index 03d2801fa64c..b82f773e2a74 100644
--- a/sys-auth/oath-toolkit/oath-toolkit-2.6.11.ebuild
+++ b/sys-auth/oath-toolkit/oath-toolkit-2.6.11.ebuild
@@ -27,13 +27,27 @@ BDEPEND="
test? ( dev-libs/libxml2 )
"
+PATCHES=( "${FILESDIR}/${P}-fix-musl-build.patch" )
+
+# fpurge is from gnulib, and unused as of 2.6.11
QA_CONFIG_IMPL_DECL_SKIP=(
MIN # glibc fp
- unreachable
alignof
+ fpurge
static_assert
+ unreachable
)
+src_prepare() {
+ default
+
+ # After patching, we have to fix the mtime on libpskc/global.c so
+ # that it doesn't cause Makefile.gdoc to be rebuilt so that it
+ # doesn't cause Makefile.in to be rebuilt so that it doesn't try to
+ # run automake-1.16.5 for no reason. Bug 936309.
+ touch --reference=libpskc/errors.c libpskc/global.c || die
+}
+
src_configure() {
local myeconfargs=(
--cache-file="${S}"/config.cache
diff --git a/sys-auth/pam_ssh_agent_auth/Manifest b/sys-auth/pam_ssh_agent_auth/Manifest
index d53c12c96e1c..59cc0033c918 100644
--- a/sys-auth/pam_ssh_agent_auth/Manifest
+++ b/sys-auth/pam_ssh_agent_auth/Manifest
@@ -1,4 +1,2 @@
-DIST pam_ssh_agent_auth-0.10.3-openssl-1.1.1.patch 46417 BLAKE2B bb62c32fc9c1eb5dc0788b9a535fdf6000812c57a6a758e693406a0d01bcf0cc5ec9f7622c4f21cee74895657a5a3ad13255e19d51e20eca8978e63864266629 SHA512 279fad3be9289c1da06d34e08d2b81a8ad863e07c7b0471419c029aa121abe9942ae4cc4259b7f1e2c2dd32368fc07dc1f9432aba860820455e0d9419c9e7f74
-DIST pam_ssh_agent_auth-0.10.3.tar.bz2 1066393 BLAKE2B 07b113d05e09f770d63dbea813ea644199d2b103f9c6d7e5960bfad37cb181ce5a5f111f72e0274c0335e4c217ccd19bd53d61af23f8bc6aff14c1995fc4edc9 SHA512 d75062c4e46b0b011f46aed9704a99049995fea8b5115ff7ee26dad7e93cbcf54a8af7efc6b521109d77dc03c6f5284574d2e1b84c6829cec25610f24fb4bd66
DIST pam_ssh_agent_auth-0.10.4.tar.gz 307110 BLAKE2B dad39724db4c35ff42e28492c23ab1073baf859ecf797003509b8aa3d29c71e7fae9601d193af1def58c64f149ced07e4e050fac89ae7f42fcbce5241b99df7b SHA512 caccf72174d15e43f4c86a459ac6448682e62116557cf1e1e828955f3d1731595b238df42adec57860e7f341e92daf5d8285020bcb5018f3b8a5145aa32ee1c2
DIST pam_ssh_agent_auth-ed25519-donna.tar.gz 1169972 BLAKE2B f44fa6c00dbb5cdfe51661cb559428bf24c9886e166366d1700d479f033b8b61621d7821d39a9949a7ef7cd6f5be16be575790a8f6fee03276c2c142f65a792a SHA512 5e8b838bc66bdb1983e62b0ae969449741a3fb223198bce26fe3a8996e324728e8ba0e5259f9ef3db613fd484db21459e98c39367f7240940bc537210c6d7f63
diff --git a/sys-auth/pam_ssh_agent_auth/pam_ssh_agent_auth-0.10.3.ebuild b/sys-auth/pam_ssh_agent_auth/pam_ssh_agent_auth-0.10.3.ebuild
deleted file mode 100644
index 63b0e18f716b..000000000000
--- a/sys-auth/pam_ssh_agent_auth/pam_ssh_agent_auth-0.10.3.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit pam
-
-DESCRIPTION="Simple module to authenticate users against their ssh-agent keys"
-HOMEPAGE="http://pamsshagentauth.sourceforge.net"
-
-if [[ ${PV} == *9999 ]] ; then
- EGIT_REPO_URI="https://github.com/jbeverly/${PN}.git"
- inherit git-r3
-else
- SRC_URI="https://downloads.sourceforge.net/pamsshagentauth/${PN}/v${PV}/${P}.tar.bz2
- https://dev.gentoo.org/~juippis/distfiles/tmp/pam_ssh_agent_auth-0.10.3-openssl-1.1.1.patch"
- KEYWORDS="~amd64 ~arm ~x86"
-fi
-
-LICENSE="MIT"
-SLOT="0"
-IUSE=""
-
-PATCHES=(
- "${DISTDIR}/${P}-openssl-1.1.1.patch"
-)
-DEPEND="sys-libs/pam
- dev-libs/openssl:0="
-
-RDEPEND="${DEPEND}
- virtual/ssh"
-
-# needed for pod2man
-DEPEND="${DEPEND}
- dev-lang/perl"
-
-src_configure() {
- pammod_hide_symbols
-
- econf \
- --without-openssl-header-check \
- --libexecdir="$(getpam_mod_dir)"
-}
-
-src_install() {
- # Don't use emake install as it makes it harder to have proper
- # install paths.
- dopammod pam_ssh_agent_auth.so
- doman pam_ssh_agent_auth.8
-
- dodoc CONTRIBUTORS
-}
diff --git a/sys-auth/polkit/Manifest b/sys-auth/polkit/Manifest
index 34ff79b9441b..811483f2c10c 100644
--- a/sys-auth/polkit/Manifest
+++ b/sys-auth/polkit/Manifest
@@ -1,2 +1,3 @@
DIST polkit-123.tar.bz2 707480 BLAKE2B 27d8764606d8156118269fb4cd5eda1cfd0d56df219e4157cd78fd4c2a2d001c474271b7bb31e7e82ca376eacd26411418695058cc888700690606348b4d014a SHA512 4306363d3ed7311243de462832199bd10ddda35e36449104daff0895725d8189b07a4c88340f28607846fdf761c23470da2d43288199c46aa816426384124bb6
DIST polkit-124.tar.bz2 715490 BLAKE2B ecfc1ec73a7e1bbdf7374642ad4e1dbe534149a27e75bb1235eaa446ff912466ee0cdd978c34b7f110bc62a49b25ffddc9011e280686e3f304a234454be85a40 SHA512 db520882b0bedf1c96052570bf4c55d7e966d8172f6d26acf0791d98c4b911fce5ee39e6d830f06122ac8df33c6b43c252cdb7ba3a54523804824ebf355405dc
+DIST polkit-125.tar.gz 453652 BLAKE2B 068bd4a7c028a0b4e026a0fdc3a60bd323087282a5c5bd7cbc404dbedb997de63893ce2282e8cd5f01f8d98ff0cc1a46200543a832fa397a4f50ef8d6ba2b28b SHA512 64d85c1557355d6de6483beeb855b74a99dbb30cf9968206dc0aaf147156072ca2604bf667533099ee3972b3eed0421ec0a1ff8bea35a1e4c54da7b9688e0953
diff --git a/sys-auth/polkit/files/polkit-125-musl.patch b/sys-auth/polkit/files/polkit-125-musl.patch
new file mode 100644
index 000000000000..ee0a444c919e
--- /dev/null
+++ b/sys-auth/polkit/files/polkit-125-musl.patch
@@ -0,0 +1,34 @@
+https://github.com/polkit-org/polkit/commit/13bea3e08f924002a6a5c2f275d4bf1588fc3d02
+
+From 13bea3e08f924002a6a5c2f275d4bf1588fc3d02 Mon Sep 17 00:00:00 2001
+From: Sertonix <sertonix@posteo.net>
+Date: Sun, 11 Aug 2024 00:26:51 +0200
+Subject: [PATCH] Fix missing arguments with HAVE_PTHREAD_CONDATTR_SETCLOCK
+
+Fixes <64f5e4dda52> Add syslog-style log levels support
+--- a/src/polkitbackend/polkitbackendduktapeauthority.c
++++ b/src/polkitbackend/polkitbackendduktapeauthority.c
+@@ -767,12 +767,14 @@ runaway_killer_common(PolkitBackendJsAuthority *authority, RunawayKillerCtx *ctx
+ #ifdef HAVE_PTHREAD_CONDATTR_SETCLOCK
+ if ((pthread_err = pthread_condattr_init(&attr))) {
+ polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),
++ LOG_LEVEL_ERROR,
+ "Error initializing condition variable attributes: %s",
+ strerror(pthread_err));
+ return FALSE;
+ }
+ if ((pthread_err = pthread_condattr_setclock(&attr, PK_CLOCK))) {
+ polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),
++ LOG_LEVEL_ERROR,
+ "Error setting condition variable attributes: %s",
+ strerror(pthread_err));
+ goto err_clean_condattr;
+@@ -780,6 +782,7 @@ runaway_killer_common(PolkitBackendJsAuthority *authority, RunawayKillerCtx *ctx
+ /* Init again, with needed attr */
+ if ((pthread_err = pthread_cond_init(&ctx->cond, &attr))) {
+ polkit_backend_authority_log (POLKIT_BACKEND_AUTHORITY (authority),
++ LOG_LEVEL_ERROR,
+ "Error initializing condition variable: %s",
+ strerror(pthread_err));
+ goto err_clean_condattr;
+
diff --git a/sys-auth/polkit/polkit-125.ebuild b/sys-auth/polkit/polkit-125.ebuild
new file mode 100644
index 000000000000..fa58387359d1
--- /dev/null
+++ b/sys-auth/polkit/polkit-125.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit meson pam pax-utils python-any-r1 systemd tmpfiles xdg-utils
+
+DESCRIPTION="Policy framework for controlling privileges for system-wide services"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/polkit https://github.com/polkit-org/polkit"
+if [[ ${PV} == *_p* ]] ; then
+ # Upstream don't make releases very often. Test snapshots throughly
+ # and review commits, but don't shy away if there's useful stuff there
+ # we want.
+ MY_COMMIT=""
+ SRC_URI="https://github.com/polkit-org/polkit/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+ S="${WORKDIR}"/${PN}-${MY_COMMIT}
+else
+ SRC_URI="https://github.com/polkit-org/polkit/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+daemon +duktape examples gtk +introspection kde pam selinux systemd test"
+# Tests restricted b/c of permissions
+RESTRICT="!test? ( test ) test"
+
+BDEPEND="
+ acct-user/polkitd
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/docbook-xsl-stylesheets
+ dev-libs/glib
+ dev-libs/gobject-introspection-common
+ dev-libs/libxslt
+ dev-util/glib-utils
+ sys-devel/gettext
+ virtual/pkgconfig
+ introspection? ( >=dev-libs/gobject-introspection-0.6.2 )
+ test? (
+ $(python_gen_any_dep '
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/python-dbusmock[${PYTHON_USEDEP}]
+ ')
+ )
+"
+DEPEND="
+ >=dev-libs/glib-2.32:2
+ dev-libs/expat
+ daemon? (
+ duktape? ( dev-lang/duktape:= )
+ !duktape? ( dev-lang/spidermonkey:115[-debug] )
+ )
+ pam? (
+ sys-auth/pambase
+ sys-libs/pam
+ )
+ !pam? ( virtual/libcrypt:= )
+ systemd? ( sys-apps/systemd:0=[policykit] )
+ !systemd? ( sys-auth/elogind )
+"
+RDEPEND="
+ ${DEPEND}
+ acct-user/polkitd
+ selinux? ( sec-policy/selinux-policykit )
+"
+PDEPEND="
+ gtk? ( || (
+ >=gnome-extra/polkit-gnome-0.105
+ >=lxde-base/lxsession-0.5.2
+ ) )
+ kde? ( kde-plasma/polkit-kde-agent )
+"
+
+DOCS=( docs/TODO HACKING.md NEWS.md README.md )
+
+QA_MULTILIB_PATHS="
+ usr/lib/polkit-1/polkit-agent-helper-1
+ usr/lib/polkit-1/polkitd
+"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-musl.patch
+)
+
+python_check_deps() {
+ python_has_version "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/python-dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # bug #401513
+ sed -i -e 's|unix-group:wheel|unix-user:0|' src/polkitbackend/*-default.rules || die
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local emesonargs=(
+ --localstatedir="${EPREFIX}"/var
+ -Dauthfw="$(usex pam pam shadow)"
+ -Dexamples=false
+ -Dgtk_doc=false
+ -Dman=true
+ -Dos_type=gentoo
+ -Djs_engine=$(usex duktape duktape mozjs)
+ -Dpam_module_dir=$(getpam_mod_dir)
+ -Dsession_tracking="$(usex systemd logind elogind)"
+ -Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+ $(meson_use !daemon libs-only)
+ $(meson_use introspection)
+ $(meson_use test tests)
+ )
+ meson_src_configure
+}
+
+src_compile() {
+ meson_src_compile
+
+ # Required for polkitd on hardened/PaX due to spidermonkey's JIT
+ pax-mark mr src/polkitbackend/.libs/polkitd test/polkitbackend/.libs/polkitbackendjsauthoritytest
+}
+
+src_install() {
+ meson_src_install
+
+ # acct-user/polkitd installs its own (albeit with a different filename)
+ rm -rf "${ED}"/usr/lib/sysusers.d || die
+
+ if use examples ; then
+ docinto examples
+ dodoc src/examples/{*.c,*.policy*}
+ fi
+
+ if use daemon; then
+ if [[ ${EUID} == 0 ]]; then
+ diropts -m 0700 -o polkitd
+ fi
+ keepdir /etc/polkit-1/rules.d
+ fi
+}
+
+pkg_postinst() {
+ tmpfiles_process polkit-tmpfiles.conf
+
+ if use daemon && [[ ${EUID} == 0 ]]; then
+ chmod 0700 "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+ chown polkitd "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+ fi
+}
diff --git a/sys-auth/polkit/polkit-9999-r1.ebuild b/sys-auth/polkit/polkit-9999-r1.ebuild
new file mode 100644
index 000000000000..431d20a6a5f4
--- /dev/null
+++ b/sys-auth/polkit/polkit-9999-r1.ebuild
@@ -0,0 +1,160 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit meson pam pax-utils python-any-r1 systemd xdg-utils
+
+DESCRIPTION="Policy framework for controlling privileges for system-wide services"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/polkit https://github.com/polkit-org/polkit"
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/polkit-org/polkit"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ # Upstream don't make releases very often. Test snapshots throughly
+ # and review commits, but don't shy away if there's useful stuff there
+ # we want.
+ MY_COMMIT=""
+ SRC_URI="https://github.com/polkit-org/polkit/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+ S="${WORKDIR}"/${PN}-${MY_COMMIT}
+else
+ SRC_URI="https://github.com/polkit-org/polkit/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="LGPL-2"
+SLOT="0"
+if [[ ${PV} != 9999 ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+IUSE="+daemon +duktape examples gtk +introspection kde pam selinux systemd test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ acct-user/polkitd
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/docbook-xsl-stylesheets
+ dev-libs/glib
+ dev-libs/gobject-introspection-common
+ dev-libs/libxslt
+ dev-util/glib-utils
+ sys-devel/gettext
+ virtual/pkgconfig
+ introspection? ( >=dev-libs/gobject-introspection-0.6.2 )
+ test? (
+ $(python_gen_any_dep '
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/python-dbusmock[${PYTHON_USEDEP}]
+ ')
+ )
+"
+DEPEND="
+ >=dev-libs/glib-2.32:2
+ dev-libs/expat
+ daemon? (
+ duktape? ( dev-lang/duktape:= )
+ !duktape? ( dev-lang/spidermonkey:115[-debug] )
+ )
+ pam? (
+ sys-auth/pambase
+ sys-libs/pam
+ )
+ !pam? ( virtual/libcrypt:= )
+ systemd? ( sys-apps/systemd:0=[policykit] )
+ !systemd? ( sys-auth/elogind )
+"
+RDEPEND="
+ ${DEPEND}
+ acct-user/polkitd
+ selinux? ( sec-policy/selinux-policykit )
+"
+PDEPEND="
+ gtk? ( || (
+ >=gnome-extra/polkit-gnome-0.105
+ >=lxde-base/lxsession-0.5.2
+ ) )
+ kde? ( kde-plasma/polkit-kde-agent )
+"
+
+DOCS=( docs/TODO HACKING.md NEWS.md README.md )
+
+QA_MULTILIB_PATHS="
+ usr/lib/polkit-1/polkit-agent-helper-1
+ usr/lib/polkit-1/polkitd
+"
+
+python_check_deps() {
+ python_has_version "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/python-dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # FIXME: Horrible hack to facilitate testing in bug #934314
+ patch -p1 -f < "${FILESDIR}"/${PN}-124-systemd.patch
+ patch -p1 -f < "${FILESDIR}"/${PN}-124-systemd-fixup.patch
+ patch -p1 -f < "${FILESDIR}"/${PN}-124-c99-fixes.patch
+ sed -i -e "s:dependency('systemd':dependency('libelogind':" meson.build || die
+
+ sed -i -e 's|unix-group:wheel|unix-user:0|' src/polkitbackend/*-default.rules || die
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local emesonargs=(
+ --localstatedir="${EPREFIX}"/var
+ -Dauthfw="$(usex pam pam shadow)"
+ -Dexamples=false
+ -Dgtk_doc=false
+ -Dman=true
+ -Dos_type=gentoo
+ -Dsession_tracking="$(usex systemd libsystemd-login libelogind)"
+ -Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+ -Djs_engine=$(usex duktape duktape mozjs)
+ $(meson_use !daemon libs-only)
+ $(meson_use introspection)
+ $(meson_use test tests)
+ $(usex pam "-Dpam_module_dir=$(getpam_mod_dir)" '')
+ )
+ meson_src_configure
+}
+
+src_compile() {
+ meson_src_compile
+
+ # Required for polkitd on hardened/PaX due to spidermonkey's JIT
+ pax-mark mr src/polkitbackend/.libs/polkitd test/polkitbackend/.libs/polkitbackendjsauthoritytest
+}
+
+src_install() {
+ meson_src_install
+
+ # acct-user/polkitd installs its own (albeit with a different filename)
+ rm -rf "${ED}"/usr/lib/sysusers.d || die
+
+ if use examples ; then
+ docinto examples
+ dodoc src/examples/{*.c,*.policy*}
+ fi
+
+ if use daemon; then
+ if [[ ${EUID} == 0 ]]; then
+ diropts -m 0700 -o polkitd
+ fi
+ keepdir /etc/polkit-1/rules.d
+ fi
+}
+
+pkg_postinst() {
+ if use daemon && [[ ${EUID} == 0 ]]; then
+ chmod 0700 "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+ chown polkitd "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+ fi
+}
diff --git a/sys-auth/polkit/polkit-9999.ebuild b/sys-auth/polkit/polkit-9999.ebuild
new file mode 100644
index 000000000000..71d7e57a0403
--- /dev/null
+++ b/sys-auth/polkit/polkit-9999.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit meson pam pax-utils python-any-r1 systemd tmpfiles xdg-utils
+
+DESCRIPTION="Policy framework for controlling privileges for system-wide services"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/polkit https://github.com/polkit-org/polkit"
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/polkit-org/polkit"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ # Upstream don't make releases very often. Test snapshots throughly
+ # and review commits, but don't shy away if there's useful stuff there
+ # we want.
+ MY_COMMIT=""
+ SRC_URI="https://github.com/polkit-org/polkit/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+ S="${WORKDIR}"/${PN}-${MY_COMMIT}
+else
+ SRC_URI="https://github.com/polkit-org/polkit/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+LICENSE="LGPL-2"
+SLOT="0"
+if [[ ${PV} != 9999 ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+IUSE="+daemon examples gtk +introspection kde pam selinux systemd test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ acct-user/polkitd
+ app-text/docbook-xml-dtd:4.1.2
+ app-text/docbook-xsl-stylesheets
+ dev-libs/glib
+ dev-libs/gobject-introspection-common
+ dev-libs/libxslt
+ dev-util/glib-utils
+ sys-devel/gettext
+ virtual/pkgconfig
+ introspection? ( >=dev-libs/gobject-introspection-0.6.2 )
+ test? (
+ $(python_gen_any_dep '
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ dev-python/python-dbusmock[${PYTHON_USEDEP}]
+ ')
+ )
+"
+DEPEND="
+ >=dev-libs/glib-2.32:2
+ dev-libs/expat
+ daemon? (
+ dev-lang/duktape:=
+ )
+ pam? (
+ sys-auth/pambase
+ sys-libs/pam
+ )
+ !pam? ( virtual/libcrypt:= )
+ systemd? ( sys-apps/systemd:0=[policykit] )
+ !systemd? ( sys-auth/elogind )
+"
+RDEPEND="
+ ${DEPEND}
+ acct-user/polkitd
+ selinux? ( sec-policy/selinux-policykit )
+"
+PDEPEND="
+ gtk? ( || (
+ >=gnome-extra/polkit-gnome-0.105
+ >=lxde-base/lxsession-0.5.2
+ ) )
+ kde? ( kde-plasma/polkit-kde-agent )
+"
+
+DOCS=( docs/TODO HACKING.md NEWS.md README.md )
+
+QA_MULTILIB_PATHS="
+ usr/lib/polkit-1/polkit-agent-helper-1
+ usr/lib/polkit-1/polkitd
+"
+
+python_check_deps() {
+ python_has_version "dev-python/dbus-python[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/python-dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # bug #401513
+ sed -i -e 's|unix-group:@PRIVILEGED_GROUP@|unix-user:@PRIVILEGED_GROUP@|' src/polkitbackend/*-default.rules.in || die
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local emesonargs=(
+ --localstatedir="${EPREFIX}"/var
+ -Dauthfw="$(usex pam pam shadow)"
+ -Dexamples=false
+ -Dgtk_doc=false
+ -Dman=true
+ -Dos_type=gentoo
+ -Dpam_module_dir=$(getpam_mod_dir)
+ -Dprivileged_group=0
+ -Dsession_tracking="$(usex systemd logind elogind)"
+ -Dsystemdsystemunitdir="$(systemd_get_systemunitdir)"
+ $(meson_use !daemon libs-only)
+ $(meson_use introspection)
+ $(meson_use test tests)
+ )
+ meson_src_configure
+}
+
+src_compile() {
+ meson_src_compile
+
+ # Required for polkitd on hardened/PaX due to spidermonkey's JIT
+ pax-mark mr src/polkitbackend/.libs/polkitd test/polkitbackend/.libs/polkitbackendjsauthoritytest
+}
+
+src_install() {
+ meson_src_install
+
+ # acct-user/polkitd installs its own (albeit with a different filename)
+ rm -rf "${ED}"/usr/lib/sysusers.d || die
+
+ if use examples ; then
+ docinto examples
+ dodoc src/examples/{*.c,*.policy*}
+ fi
+
+ if use daemon; then
+ if [[ ${EUID} == 0 ]]; then
+ diropts -m 0700 -o polkitd
+ fi
+ keepdir /etc/polkit-1/rules.d
+ fi
+}
+
+pkg_postinst() {
+ tmpfiles_process polkit-tmpfiles.conf
+
+ if use daemon && [[ ${EUID} == 0 ]]; then
+ chmod 0700 "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+ chown polkitd "${EROOT}"/{etc,usr/share}/polkit-1/rules.d
+ fi
+}
diff --git a/sys-auth/realtime-base/realtime-base-0.1-r1.ebuild b/sys-auth/realtime-base/realtime-base-0.1-r1.ebuild
index 4f8202ec7a5b..68984bdb79a1 100644
--- a/sys-auth/realtime-base/realtime-base-0.1-r1.ebuild
+++ b/sys-auth/realtime-base/realtime-base-0.1-r1.ebuild
@@ -1,23 +1,19 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Sets up realtime scheduling"
HOMEPAGE="https://jackaudio.org/faq/linux_rt_config.html"
-SRC_URI=""
+S="${WORKDIR}"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-IUSE=""
-DEPEND=""
RDEPEND="acct-group/realtime
sys-libs/pam"
-S="${WORKDIR}"
-
limitsdfile=40-${PN}.conf
rtgroup=realtime
diff --git a/sys-auth/sssd/metadata.xml b/sys-auth/sssd/metadata.xml
index e719d6e332fd..f1d1125d52ca 100644
--- a/sys-auth/sssd/metadata.xml
+++ b/sys-auth/sssd/metadata.xml
@@ -20,7 +20,7 @@
<flag name="samba">Add Privileged Attribute Certificate Support for Kerberos</flag>
<flag name="subid">Support subordinate uid and gid ranges in FreeIPA</flag>
<flag name="sudo">Build helper to let <pkg>app-admin/sudo</pkg> use sssd provided information</flag>
- <flag name="systemtap">Enable SystemTAP/DTrace tracing</flag>
+ <flag name="systemtap">Enable SystemTap/DTrace tracing</flag>
</use>
<upstream>
<remote-id type="cpe">cpe:/a:fedoraproject:sssd</remote-id>
diff --git a/sys-auth/sssd/sssd-2.9.4.ebuild b/sys-auth/sssd/sssd-2.9.4.ebuild
index d83be12eeecc..2ef4f0026a1c 100644
--- a/sys-auth/sssd/sssd-2.9.4.ebuild
+++ b/sys-auth/sssd/sssd-2.9.4.ebuild
@@ -163,6 +163,11 @@ src_prepare() {
src_configure() {
local native_dbus_cflags=$($(tc-getPKG_CONFIG) --cflags dbus-1 || die)
+ # Workaround for bug #938302
+ if use systemtap && ! has_version "dev-debug/systemtap[dtrace-symlink(-)]" ; then
+ export DTRACE="${BROOT}"/usr/bin/stap-dtrace
+ fi
+
multilib-minimal_src_configure
}
diff --git a/sys-auth/sssd/sssd-2.9.5.ebuild b/sys-auth/sssd/sssd-2.9.5.ebuild
index d83be12eeecc..cb1925720b92 100644
--- a/sys-auth/sssd/sssd-2.9.5.ebuild
+++ b/sys-auth/sssd/sssd-2.9.5.ebuild
@@ -163,6 +163,11 @@ src_prepare() {
src_configure() {
local native_dbus_cflags=$($(tc-getPKG_CONFIG) --cflags dbus-1 || die)
+ # Workaround for bug #938302
+ if use systemtap && ! has_version "dev-debug/systemtap[dtrace-symlink(-)]" ; then
+ export DTRACE="${BROOT}"/usr/bin/stap-dtrace
+ fi
+
multilib-minimal_src_configure
}
@@ -214,6 +219,7 @@ multilib_src_configure() {
$(multilib_native_use_with python python3-bindings)
# Annoyingly configure requires that you pick systemd XOR sysv
--with-initscript=$(usex systemd systemd sysv)
+ KRB5_CONFIG="${ESYSROOT}"/usr/bin/krb5-config
)
use systemd && myconf+=(
diff --git a/sys-auth/yubico-piv-tool/Manifest b/sys-auth/yubico-piv-tool/Manifest
index bd76042c13e4..3432e0d31fc9 100644
--- a/sys-auth/yubico-piv-tool/Manifest
+++ b/sys-auth/yubico-piv-tool/Manifest
@@ -1,5 +1,4 @@
-DIST yubico-piv-tool-2.3.1.tar.gz 1315267 BLAKE2B 9b7d96129f3cab4fd68d18d0bbbf8dfa5fdda383ffb8099f898e23c99d0f1caf387a26cb9d01582521a070b93bac941b8a10faac736137cb72c86fbf5c95d2f8 SHA512 44cd9c482f2a2942d10a238ac2cb2d40df7cd11ddc27d6df88912512e956746b5634018b421d5cc4b947e4c36f9841898d5a08eb613bf22558089103dab95988
-DIST yubico-piv-tool-2.4.2.tar.gz 1332497 BLAKE2B ba08b19fe4659842fdfad06d662120a9d2858e25a56d56f63edc88e607c5b56a79f5ca90826fb8b78295e218ff1a728a168d04f330b7f640a9f3e804528320ed SHA512 032a91c9ac50cb5604a56ec0d0a84cf64bfff5440930a1643bddcd15cf02fc44d33d949286b2595eb4c196cb31050c13f507b32f3156d4600fdad46057b65b56
-DIST yubico-piv-tool-2.5.1.tar.gz 1340147 BLAKE2B 96638e22bf03046daae5ba4b4d689cfe6d7e1f8ebbf64695bd3e259ca7e53513ff92933c935294536c504fc96b2ed1c7df4b9962b1789803eb9576b51715f00e SHA512 736aeeac3d9368699b33e928cfb5b54ad6aa1450acf734397bc689ba9ccc82077f46f7ea2bd06dd1457b91eb50f7a0231a57914b3ea2ff0f07d425b4d27b96e4
DIST yubico-piv-tool-2.5.2.tar.gz 1324642 BLAKE2B 23b175d37f0f510e1360f8c793e95ee654e7d0218ca6fb29a884e4aaf143704555bc04c489fa944e2731208cb713d2d763d84dd8b6ef36aa4dafe22c55d81edc SHA512 522a163be55dd92c2f18a779b64b1a163a6f81390757db34b58e909d896d78bcff30907eb8a2dc703d70133cdd71e2d3841d36d77cf7211351b5c825965dffd0
DIST yubico-piv-tool-2.5.2.tar.gz.sig 566 BLAKE2B f7cdcbd7f47dd07b57c2cfe146c8801edce254b00cf4abf65783da687787ce91f2bee1419050a2977c66c074cfaf6c8e2f566d5b83ed3b61d56b6f9ba3e41a65 SHA512 c251cc7c7019923c60380302889cc3654ef913c1d5498d328528586d70b951aecff474a4da3a2b9ddb21c1b860335205a16ffed1d397e16e226e7f4725c2bf90
+DIST yubico-piv-tool-2.6.0.tar.gz 1359764 BLAKE2B c9513401bdf9175b929a7c7ecf09ef07a76cc0d7fc37fd43f0b1fb882c878417d5a804e27f66ec7d34e6faf40e1c1508efe6fd968f43b5f382d0071d5f74cc20 SHA512 11efcc12cdcdddc8f6a946460ee8be40d0652478f9884b01945ec048f95e03e706f00737607a20e75135667ece0de06627cd0a4f441d9048ad9e19f3f67fee00
+DIST yubico-piv-tool-2.6.0.tar.gz.sig 566 BLAKE2B f5a99c89618cbfed11950402d850a4d38e934a3436399156e950abed6a45bf0ba89e2c45c9014248f1eb3e71bc8d0abbcfaaa87c537788490daca4a52368f794 SHA512 fae8612ea08e7136134fe9fa82893f0f98118e4592e5e7fb0b844aa96e0182cf9b6d5eddc1bbe11b49470ebaf22fdf33575f7955b870b01eeff6b751d7a000b8
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.3.1.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.3.1.ebuild
deleted file mode 100644
index 1145a5ac9a67..000000000000
--- a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.3.1.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-DESCRIPTION="Command-line tool and p11-kit module for the YubiKey PIV application"
-HOMEPAGE="https://developers.yubico.com/yubico-piv-tool/ https://github.com/Yubico/yubico-piv-tool"
-SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0/2"
-KEYWORDS="amd64 ~arm64 ~riscv"
-IUSE="test"
-
-RESTRICT="!test? ( test )"
-
-RDEPEND="sys-apps/pcsc-lite
- dev-libs/openssl:=[-bindist(-)]"
-DEPEND="${RDEPEND}
- test? ( dev-libs/check )"
-BDEPEND="dev-util/gengetopt
- sys-apps/help2man
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.1.1-tests-optional.patch
- "${FILESDIR}"/${PN}-2.1.1-ykcs11-threads.patch
- "${FILESDIR}"/${PN}-2.3.0-no-Werror.patch
-)
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_STATIC_LIB=OFF
- -DBUILD_TESTING=$(usex test)
- )
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- echo "module: ${EPREFIX}/usr/$(get_libdir)/libykcs11.so" > ${PN}.module \
- || die "Failed to generate p11-kit module configuration"
- insinto /usr/share/p11-kit/modules
- doins ${PN}.module
-}
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.4.2.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.4.2.ebuild
deleted file mode 100644
index 42a6ee70a2dc..000000000000
--- a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.4.2.ebuild
+++ /dev/null
@@ -1,48 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-DESCRIPTION="Command-line tool and p11-kit module for the YubiKey PIV application"
-HOMEPAGE="https://developers.yubico.com/yubico-piv-tool/ https://github.com/Yubico/yubico-piv-tool"
-SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0/2"
-KEYWORDS="amd64 ~arm64 ~riscv"
-IUSE="test"
-
-RESTRICT="!test? ( test )"
-
-RDEPEND="sys-apps/pcsc-lite
- dev-libs/openssl:=[-bindist(-)]"
-DEPEND="${RDEPEND}
- test? ( dev-libs/check )"
-BDEPEND="dev-util/gengetopt
- sys-apps/help2man
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.1.1-tests-optional.patch
- "${FILESDIR}"/${PN}-2.1.1-ykcs11-threads.patch
- "${FILESDIR}"/${PN}-2.3.0-no-Werror.patch
-)
-
-src_configure() {
- local mycmakeargs=(
- -DBUILD_STATIC_LIB=OFF
- -DBUILD_TESTING=$(usex test)
- )
- cmake_src_configure
-}
-
-src_install() {
- cmake_src_install
-
- echo "module: ${EPREFIX}/usr/$(get_libdir)/libykcs11.so" > ${PN}.module \
- || die "Failed to generate p11-kit module configuration"
- insinto /usr/share/p11-kit/modules
- doins ${PN}.module
-}
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.2.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.2.ebuild
index 431639fedfe6..d12a41969d80 100644
--- a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.2.ebuild
+++ b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz
LICENSE="BSD-2"
SLOT="0/2"
-KEYWORDS="~amd64 ~arm64 ~riscv"
+KEYWORDS="amd64 ~arm64 ~riscv"
IUSE="test verify-sig"
VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/yubico.com.asc"
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.1.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.6.0.ebuild
index 42a6ee70a2dc..bdbd4e029157 100644
--- a/sys-auth/yubico-piv-tool/yubico-piv-tool-2.5.1.ebuild
+++ b/sys-auth/yubico-piv-tool/yubico-piv-tool-2.6.0.ebuild
@@ -3,26 +3,31 @@
EAPI=8
-inherit cmake
+inherit cmake verify-sig
DESCRIPTION="Command-line tool and p11-kit module for the YubiKey PIV application"
HOMEPAGE="https://developers.yubico.com/yubico-piv-tool/ https://github.com/Yubico/yubico-piv-tool"
-SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz"
+SRC_URI="https://developers.yubico.com/${PN}/Releases/${P}.tar.gz
+ verify-sig? ( https://developers.yubico.com/${PN}/Releases/${P}.tar.gz.sig )"
LICENSE="BSD-2"
SLOT="0/2"
-KEYWORDS="amd64 ~arm64 ~riscv"
-IUSE="test"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+IUSE="test verify-sig"
+VERIFY_SIG_OPENPGP_KEY_PATH="/usr/share/openpgp-keys/yubico.com.asc"
RESTRICT="!test? ( test )"
RDEPEND="sys-apps/pcsc-lite
- dev-libs/openssl:=[-bindist(-)]"
+ dev-libs/openssl:=[-bindist(-)]
+ sys-libs/zlib"
DEPEND="${RDEPEND}
test? ( dev-libs/check )"
BDEPEND="dev-util/gengetopt
sys-apps/help2man
- virtual/pkgconfig"
+ virtual/pkgconfig
+ test? ( dev-libs/check )
+ verify-sig? ( >=sec-keys/openpgp-keys-yubico-20240628 )"
PATCHES=(
"${FILESDIR}"/${PN}-2.1.1-tests-optional.patch